---
title: "Create a permissioned equity Capital Objective"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › capital-objectives

`POST /v2/startups/{startupListingId}/capital-objectives`

## Path parameters

- `startupListingId` (`capital-objectives-create.path.startupListingId`; string, required)
  - format `uuid`

## Request body

_Required._

- `targetAmount` (`capital-objectives-create.targetAmount`; number, required)
  - min 0
- `executionCycleId` (`capital-objectives-create.executionCycleId`; string, optional, nullable)
  - format `uuid`
- `instrument` (`capital-objectives-create.instrument`; string, optional)
  - one of `"equity"`; default `"equity"`
- `currency` (`capital-objectives-create.currency`; string, optional)
  - pattern `^[A-Z]{3}$`; default `"USD"`
- `minimumAmount` (`capital-objectives-create.minimumAmount`; number, optional, nullable)
  - min 0
- `maximumAmount` (`capital-objectives-create.maximumAmount`; number, optional, nullable)
  - min 0
- `status` (`capital-objectives-create.status`; string, optional)
  - one of `"draft"`, `"active"`; default `"draft"`

## Example request

```json
{
  "executionCycleId": "e7b7241f-56e0-4410-87c8-9797419cf32b",
  "instrument": "equity",
  "currency": "USD",
  "targetAmount": 0,
  "minimumAmount": 0,
  "maximumAmount": 0,
  "status": "draft"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/startups/<startupListingId>/capital-objectives' \
  --header 'Content-Type: application/json' \
  --data '
{
  "executionCycleId": "e7b7241f-56e0-4410-87c8-9797419cf32b",
  "instrument": "equity",
  "currency": "USD",
  "targetAmount": 0,
  "minimumAmount": 0,
  "maximumAmount": 0,
  "status": "draft"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/startups/<startupListingId>/capital-objectives';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    executionCycleId: 'e7b7241f-56e0-4410-87c8-9797419cf32b',
    instrument: 'equity',
    currency: 'USD',
    targetAmount: 0,
    minimumAmount: 0,
    maximumAmount: 0,
    status: 'draft'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/startups/<startupListingId>/capital-objectives"

payload = {
    "executionCycleId": "e7b7241f-56e0-4410-87c8-9797419cf32b",
    "instrument": "equity",
    "currency": "USD",
    "targetAmount": 0,
    "minimumAmount": 0,
    "maximumAmount": 0,
    "status": "draft"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "startupListingId": "d16a646b-f433-44ce-aaae-42761cf79f25",
    "executionCycleId": "e7b7241f-56e0-4410-87c8-9797419cf32b",
    "instrument": "equity",
    "currency": "string",
    "targetAmount": "string",
    "minimumAmount": "string",
    "maximumAmount": "string",
    "status": "draft",
    "createdByUserId": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`capital-objectives-create.response.200.data`; object, required)
  - `id` (`capital-objectives-create.response.200.data.id`; string, required)
    - format `uuid`
  - `startupListingId` (`capital-objectives-create.response.200.data.startupListingId`; string, required)
    - format `uuid`
  - `executionCycleId` (`capital-objectives-create.response.200.data.executionCycleId`; string, required, nullable)
    - format `uuid`
  - `instrument` (`capital-objectives-create.response.200.data.instrument`; string, required)
    - one of `"equity"`
  - `currency` (`capital-objectives-create.response.200.data.currency`; string, required)
  - `targetAmount` (`capital-objectives-create.response.200.data.targetAmount`; string, required)
  - `minimumAmount` (`capital-objectives-create.response.200.data.minimumAmount`; string, required, nullable)
  - `maximumAmount` (`capital-objectives-create.response.200.data.maximumAmount`; string, required, nullable)
  - `status` (`capital-objectives-create.response.200.data.status`; string, required)
    - one of `"draft"`, `"active"`, `"closed"`
  - `createdByUserId` (`capital-objectives-create.response.200.data.createdByUserId`; string, required)
  - `createdAt` (`capital-objectives-create.response.200.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`capital-objectives-create.response.200.meta`; object, optional)
  - `timestamp` (`capital-objectives-create.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.400.error`; object, required)
  - `code` (`capital-objectives-create.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.401.error`; object, required)
  - `code` (`capital-objectives-create.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.403.error`; object, required)
  - `code` (`capital-objectives-create.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.404.error`; object, required)
  - `code` (`capital-objectives-create.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.409.error`; object, required)
  - `code` (`capital-objectives-create.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`capital-objectives-create.response.500.error`; object, required)
  - `code` (`capital-objectives-create.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`capital-objectives-create.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`capital-objectives-create.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`capital-objectives-create.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/capital-objectives-create/index.md
